Bug 51539 - lang/perl5: dual perl installation breakage?
lang/perl5: dual perl installation breakage?
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Anton Berezin
Depends on:
  Show dependency treegraph
Reported: 2003-04-29 03:00 UTC by freebsd
Modified: 2005-02-02 09:48 UTC (History)
1 user (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2003-04-29 03:00:21 UTC
/usr/local/bin/perl is a normal file (not a sym link) from the most recent
perl install.  Sym links are set up, but not correctly.

-rwxr-xr-x   1 root     wheel      856592 Apr 29 01:46 perl
lrwxr-xr-x   1 root     wheel          19 Apr 29 01:46 perl5 -> /usr/local/bin/perl
lrwxr-xr-x   1 root     wheel          19 Apr 29 01:28 perl5.6.1 -> /usr/local/bin/perl
lrwxr-xr-x   1 root     wheel          19 Apr 29 01:46 perl5.8.0 -> /usr/local/bin/perl

So, perl5.6.1 points to perl which is 5.8.0.  Doesn't make sense.  sperl is
done correctly, however.

-rws--x--x   1 root     wheel      741960 Apr 29 01:28 sperl5.6.1
-rws--x--x   2 root     wheel      856752 Apr 29 01:46 sperl5.8.0


make perl5.6.1 and perl5.8.0 regular files, and set up perl/perl5 as sym
links according to the owner's preference.
portinstall perl-5.\*
Comment 1 Anton Berezin freebsd_committer 2003-04-29 08:16:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tobez

I'll take care of this.
Comment 2 sem 2003-12-23 22:00:30 UTC
Take a look at PR/55760.

Comment 3 Anton Berezin freebsd_committer 2005-02-02 09:47:26 UTC
State Changed
From-To: open->closed

This issue is mostly fixed in the recent update of lang/perl5 and